Bug 1278706 - Suggest adding new added openshift_master_ha to ansible hosts example file
Suggest adding new added openshift_master_ha to ansible hosts example file
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jason DeTiberus
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 03:49 EST by Johnny Liu
Modified: 2016-07-03 20:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 15:58:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2015-11-06 03:49:02 EST
Description of problem:
In openshift-ansible/inventory/byo/hosts.example, the following lines:

# Native high availbility cluster method with optional load balancer.
# If no lb group is defined installer assumes that a load balancer has
# been preconfigured. For installation the value of
# openshift_master_cluster_hostname must resolve to the load balancer
# or to one or all of the masters defined in the inventory if no load
# balancer is present.
#openshift_master_cluster_method=native
#openshift_master_cluster_hostname=openshift-ansible.test.example.com
#openshift_master_cluster_public_hostname=openshift-ansible.test.example.com

If user is following these lines to install native master ha, would encounter such error:
TASK: [openshift_master | fail ] ********************************************** 
failed: [test61.cluster.local] => {"failed": true}
msg: openshift_master_cluster_method must be set to either 'native' or 'pacemaker' for multi-master installations

FATAL: all hosts have already failed -- aborting

According to the above error message, user do not know where is wrong.
Dig into code, found need add one more parameter in ansilbe host file:
openshift_master_ha=True



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Brenton Leanhardt 2016-01-28 11:20:59 EST
I think this has been fixed now.  Today I installed an native HA environment and openshift_master_ha=True was not needed.
Comment 3 Johnny Liu 2016-01-29 01:51:00 EST
Verified this bug with latest openshift-ansible, and PASS.

Now no need to add "openshift_master_ha=True" in ansible host file when install native ha env.

Note You need to log in before you can comment on or make changes to this bug.